/* BdfServer_API - Copyright (c) 2020 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.api.externalsource;

import java.util.List;


/**
 *
 * @author Vincent Calame
 */
public interface ExternalSourceType {

    public String getName();

    public Object getL10nObject();

    public List<Param> getParamList();


    public static interface Param {

        public String getName();

        public Object getL10nObject();

    }

}
